{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };

  outputs =
    { self, nixpkgs }:
    let
      pkgs = nixpkgs.legacyPackages.x86_64-linux;
    in
    with pkgs;
    {
      devShells.x86_64-linux.default = mkShell {
        buildInputs = with python312Packages; [
          hy
          (buildPythonPackage rec {
            pname = "hyrule";
            version = "1.0.0";

            src = fetchPypi {
              inherit pname version;
              hash = "sha256-SZyFjXNs6thVWhKbajYelY0DoRYqrcCQcdKMNC5t6Og=";
            };

            propagatedBuildInputs = [
              pip
              wheel
              hy
            ];
          })
          bleach
          pyaml
          requests
          requests_toolbelt
          validators
        ];
      };
    };
}
